Subject: Re: What's cooking in git.git (Sep 2025, #03; Mon, 8)

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Sep 2025 14:42:26 -0700

Jeff King <[email-masked]> writes:

> On Mon, Sep 08, 2025 at 06:37:49PM -0700, Junio C Hamano wrote:
>
>> * jk/curl-global-trace-components (2025-08-27) 1 commit
>>  - curl: add support for curl_global_trace() components
>> 
>>  Adjust to the way newer versions of cURL selectivel enables tracing
>>  options, so that our tests can continue to work.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> It doesn't seem to have gotten a lot of interest. But we have to do
> _something_ if we want tests to keep passing with the new version of
> curl. The other obvious alternatives is to try to modify the tests so
> that we don't have to modify the code to support the extra debugging
> knob. But I suspect that debugging knob may come in handy at some point
> in the future, and is worth having.
>
> -Peff

Thanks for pinging.  I was hoping that other people, not you, to say
the above, but perhaps our developer population is too small for
that?

Let's merge it to 'next'.